Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

Problems with WLC upgrade from 4.0.217 to 4.1.171

Hello,

we want to upgrade our WLCs from version 4.0.217 to 4.1.171. Two WLCs are now already upgraded, but we had problems to upload the new firmware to the WLC. We are worked with the CLI and used the "TFPD32" programm.

The upload of the new software breaks several times down, after 20 or 30 attempts the upload are completed.

This errors messages are displayed in the TFPD32:

Ack block 108 ignored (received twice) [04/06 15:56:17.288]

File <AIR-WLC4400-K9-4-1-171-0.aes> : error 10054 in system call recv An existing connection was forcibly closed by the remote host. [04/06 15:56:17.288]

Mit freundlichen Gruss

Andre Schroeder

11 REPLIES

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Did you put the 4.1.171ES image on 1st per the release notes?

New Member

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Hello,

in the release notes are written:

4.0.206.0 or later 4.0 release

--> You can upgrade directly to 4.1.171.0.

We want to upgrade from version 4.0.217.0 to the 4.1.171.0.

Mit freundlichen Gruss

Andre Schroeder

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

The ES is the boot image for the OS.

AIR-WLC4400-K9-4-1-171-0-ER.aes

Cisco Unified Wireless Network Controller Boot Software 4.1 for Cisco 4400 series Wireless LAN Controllers 4.1.171.0 30-APR-2007 4192676

AIR-WLC4400-K9-4-1-171-0.aes

Cisco Unified Wireless Network Software Release 4.1 for Cisco 4400 Series Wireless LAN Controllers. 4.1.171.0 30-APR-2007 33600312

You need both. Place the boot image on 1st, then the OS image

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Found this in the rel notes as well on page 4

? Due to some critical enhancements that were made to the bootloader software for the Cisco WiSM,

Catalyst 3750G Wireless LAN Controller Switch, and 4400 series controllers, you must install the

Cisco Unified Wireless Network Controller Boot Software 4.1.171.0 _ER.aes image either before

or after installing the 4.1.171.0 .aes file. You can obtain these files from the Software Center on

Cisco.com and install both of them using the software upgrade instructions provided in the Cisco

Wireless LAN Controller Configuration Guide, Release 4.1. For additional information on the

Controller Boot Software, refer to the ?Using the Cisco Unified Wireless Network Controller Boot

Software 4.1? section on page 13.

So, I guess order is not that important.

New Member

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Hello,

we are done the following steps:

1. upload boot image

2. reboot WLC

3. upload OS --> here we have the problems

Mit freundlichen Gruss

Andre Schroeder

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

I have used the basic tftp-server that is available with many linux distros without any issue.

Perhaps you are hitting the 16mb limit of the 3com server. Here is more info on Cisco & tftp

http://www.ciscoblog.com/archives/2007/01/new_and_improve.html

New Member

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Hello,

therfor we are used the programm "tftpd32".

Mit freundlichen Gruss

Andre Schroeder

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Can you ssh to your controller and bump up

the tftpPktTimeout & tftpMaxRetries values?

transfer download tftpPktTimeout

transfer download tftpMaxRetries

and then try it

New Member

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Hello,

we done the update in the cli and changed also the timeouts and retries (from WLC and TFTP tool) - but without success.

Mit freundlichen Gruss

Andre Schroeder

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Where is the tftp server in relation to the WLC?

is it in the same subnet or across a slow wan link...

It sounds like it is a general network performance issue than an issue with the WLC units.

Have you tried using the WCS as the tftp server?

If you have network issues, it should affect WLC/WCS communications as well.

New Member

Re: Problems with WLC upgrade from 4.0.217 to 4.1.171

Hello,

we have to done the update in the following sequence:

1. upload firmware (OS)

2. reboot

3. upload bootcode

4. reboot

With this sequence, we had no problems.

Mit freundlichen Gruss

Andre Schroeder

638
Views
0
Helpful
11
Replies